Bug 430404 - Log out & Shut Down pop-up windows are unfocused
Log out & Shut Down pop-up windows are unfocused
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
  Show dependency treegraph
Reported: 2008-01-27 12:26 EST by Michel Alexandre Salim
Modified: 2009-12-18 01:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-01-27 12:26:55 EST
Description of problem:
The windows that System->Log out and System->Shut Down bring up are unfocused,
and can't be selected by alt-tabbing. This makes it impossible to operate them
without a pointing device.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. System->Log out <user>
2. System->Shut Down...
Actual results:
Window pops up unfocused; works as expected with pointing device. Cannot be
selected by keyboard

Expected results:
Window pops up with focus.

Additional info:
Comment 1 Matthias Clasen 2008-02-03 01:32:34 EST
I've fixed the alt-tabbing problem by making the dialogs appear in the
ctrl-alt-tab list, which is the intended metacity behaviour for skip-taskbar
windows (it just had a bug).

Still need to address the initial focus.
Comment 2 Matthias Clasen 2008-02-03 01:58:13 EST
Should be all fixed now.
Comment 3 Christoph Wickert 2009-03-05 16:25:29 EST
Reopening, because still affects F10. Please fix this in release, this is really annoying, because it's impossible to log out without a mouse.
Comment 4 Bug Zapper 2009-11-18 04:16:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-12-18 01:03:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.